# ApplicationFramework
TKBinL
BinMDataStd

# BinMDataStd_IntPackedMapDriver Class Reference

TDataStd_IntPackedMap attribute Driver.
.

`#include <BinMDataStd_IntPackedMapDriver.hxx>`

Inheritance diagram for BinMDataStd_IntPackedMapDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinMDataStd_IntPackedMapDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, BinObjMgt_RRelocationTable &RelocTable) const
| persistent -> transient (retrieve)
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, BinObjMgt_Persistent &Target, BinObjMgt_SRelocationTable &RelocTable) const
| transient -> persistent (store)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinMDataStd_IntPackedMapDriver::BinMDataStd_IntPackedMapDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const BinMDataStd_IntPackedMapDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinMDF_ADriver.

Standard_EXPORT Handle_TDF_Attribute BinMDataStd_IntPackedMapDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT void BinMDataStd_IntPackedMapDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | BinObjMgt_Persistent & | Target,
|  | BinObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT Standard_Boolean BinMDataStd_IntPackedMapDriver::Paste | ( | const BinObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | BinObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinMDataStd_IntPackedMapDriver.hxx